#!/usr/bin/bash
Dir=$1

RemoteAddr=$2

ForkAddr=$3

ForkName=$4

git clone $RemoteAddr

cd $Dir

if [[ $ForkName != "" ]]
then
	
	echo "Performing add ${ForkName}:${ForkAddr}"

	git remote add $ForkName $ForkAddr

	echo "Performing update ${ForkName} master branch..."

	git fetch $ForkName master

	git merge $ForkName/master

fi

current_branch=$(git branch | awk  '$1 == "*"{print $2}')

read -r -p "New Branch Name[\"Enter\" is current branch:$current_branch]:" input

if [[ $input != "" ]]
then
	git checkout -b $input
fi

cd ..	
